# TrustNet

TrustNet è un nuovo ed eccitante sistema [https://cblgh.org/articles/trustnet.html] sviluppato da Alexander Cobleigh progettato per essere una formalizzazione Peer-2-Peer della moderazione soggettiva attraverso reti di fiducia. Il sistema è stato proposto nella sua tesi per il Master recentemente pubblicata, che descrive anche la moderazione soggettiva. La moderazione soggettiva in questo caso è il concetto che ogni partecipante alla chat può designare soggettivamente di chi si fida per moderare il contenuto per suo conto, delegando così il potere di nascondere l'abuso e bloccare i troll. 


Egli descrive TrustNet come: un sistema per interagire con e gestire la fiducia. Alla base del sistema c'è un algoritmo di fiducia transitiva. Il sistema nel suo complesso è stato originariamente pensato per l'uso in combinazione con sistemi di chat peer-to-peer distribuiti, dove i peer assegnano la fiducia (un valore tra 0,0 e 1,0; 1,0 è la fiducia completa, 0,0 la completa assenza di fiducia) ad altri peer.

Egli sprona l'assegnazione della fiducia attraverso etichette significative per le persone, come l'uso dell'etichetta amico per rappresentare il valore di fiducia 0,75. TrustNet utilizza l'algoritmo Appleseed per tracciare il grafico della fiducia, utilizzando la fiducia transitiva, al fine di calcolare una classifica di assegnazione soggetiva di fiducia tra chi partecipa. Questa classifica viene poi raffinata utilizzando una tecnica di clustering, ottenendo un gruppo dei peer più affidabili.

Il risultato di tutto questo è che il sistema può essere usato per fare cose come suggerire nuovi amici o anche moderare contenuti discutibili. Poiché TrustNet lavora in modo transitorio attraverso i peer, si può anche dire che aiuta a diffondere la fiducia attraverso una rete. Questo processo funziona in modo simile a tecnologie come Scuttlebutt e quindi funziona bene con sistemi di chat P2P progettati in modo simile.

