# Inizio

Appartengo a una comunità chiamata [Scuttlebutt](https://scuttlebutt.nz/ ) che usa la tecnologia Peer-to-Peer. Questa è una tecnologia che funziona in modo radicalmente diverso da internet come lo conosciamo ora e offre un'idea potente per un futuro resiliente e sostenibile per la tecnologia e i movimenti sociali. Una sera, una persona che sviluppa per Scuttlebutt e che ha identità emarginate come me, con grande preoccupazione ha mandato un messaggio a me e a pochi altri scrivendo:

**“ Ok – allora abbiamo già dei nazisti che usano scuttlebutt. Quando ci sono state le sparatorie in Nuova Zelanda ho sognato che nel notiziario veniva annunciato che avevano usato un'enclave di scuttlebutt per organizzarsi e radicalizzarsi. Sembra che questo sia inevitabile  ... “**

È seguita una lunga conversazione sui rischi creati da queste tecnologie radicali. Questa persona era sinceramente spaventata. Lo ero anch'io e lo sono ancora. Come molte altre persone, aveva lavorato sodo per curare sia la comunità che la tecnologia. Aveva paura che il frutto dell'amore di così tante persone sarebbe potuto diventare un aiuto fondamentale nell'organizzazione per la supremazia bianca e che la comunità non fosse pronta ad affrontare le conseguenze di un tale “incubo".

Nella maggior parte delle comunità Peer-to-Peer è impossibile sorvegliare o sapere quante persone le stanno usando perché di progettazione sono sicure e spesso private. L'unico modo per dare un'occhiata alle dimensioni di questo sostegno e al loro uso è quando scrivono su forum o siti web pubblici. Altrimenti, a meno che le loro conversazioni non siano infiltrate, possiamo solo vedere la punta dell'iceberg della violenza (o del buono!) facilitata da queste tecnologie. Possiamo vedere il post iniziale che incoraggia le persone a passare al servizio di messaggistica criptata P2P, ma non possiamo sapere l'uso che poi ne viene fatto, a meno che le persone antifasciste non si infiltrino e lo denuncino. Possiamo vedere quando le persone ammettono di aver postato i manifesti di un cecchino sostenitore della supremazia bianca su servizi di file hosting resilienti, ma è difficile trovarli e anche se ce ne occupiamo non possiamo rimuoverli ovunque. Possiamo vedere i post che mostrano alle persone come raccogliere efficacemente fondi e comprare kit per la stampa 3d di armi da fuoco o materiali per fabbricare bombe con le criptovalute, ma non possiamo sapere quante persone lo hanno fatto; finché non è troppo tardi.

Molte persone nelle comunità si riconoscono nel fine comune di seminare per un futuro positivo grazie alle tecnologie p2p e contemporaneamente  cercano di ridurre i rischi che ci spaventano. Questo documento tenta di coltivare quella speranza e di essere realistico riguardo i rischi in uno spirito [di emergenza e di ottimismo](https://newdesigncongress.org/en/pub/this-is-fine) per il futuro del web decentralizzato.

